@import url("https://fonts.googleapis.com/css2?family=Inter:wght@300;500;700&display=swap");

:root {
  --dark-blue: hsl(240, 38%, 20%);
  --grayish-blue: hsl(240, 18%, 77%);
  --grayish-blue: rgb(186, 186, 207);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  font-family: "Inter", sans-serif;
  color: var(--dark-blue);
}

.items-container {
  width: 100%;
  height: 100%;
  background: url("/projetos-by-frontendmentor/coding-bootcamp-testimonials-slider-master/images/pattern-curve.svg") bottom left no-repeat,
    url("/projetos-by-frontendmentor/coding-bootcamp-testimonials-slider-master/images/pattern-bg.svg") 95% 37%/85vh no-repeat;
  display: grid;
  place-items: center;
}

.items {
  position: relative;
  display: block;
  width: 90%;
  height: 70vh;
  overflow: hidden;
}

.item {
  position: absolute;
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: 42% 58%;
  place-items: center;
  background: url("/projetos-by-frontendmentor/coding-bootcamp-testimonials-slider-master/images/pattern-quotes.svg") 8% 25% no-repeat;
  transition: opacity 0.6s;
  opacity: 0;
}

.item.select {
  opacity: 1;
}

.item .item-img {
  width: 100%;
  height: 100%;
}

.item .item-img img {
  width: 90%;
  height: 100%;
  border-radius: 10px;
  object-fit: cover;
}

.item .item-content {
  z-index: 99;
}
.item .item-content p {
  width: 120%;
  margin: 0 0 25px 0px;
  font-size: 32px;
  line-height: 42px;
  font-weight: 300;
}

.item .item-content h3 {
  font-weight: 700;
  font-size: 24px;
}

.item .item-content h4 {
  font-size: 20px;
  font-weight: 500;
  color: var(--grayish-blue);
}

.slide {
  position: absolute;
  bottom: 105px;
  right: 42%;
  width: 150px;
  height: 80px;
  border-radius: 40px;
  background-color: #fff;
  display: grid;
  grid-template-columns: 1fr 1fr;
  place-items: center;
  box-shadow: 10px 10px 40px rgba(186, 186, 207, 0.35),
    -10px -1px 40px rgba(186, 186, 207, 0.35);
}

.slide .slide-buttom {
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.slide .slide-buttom {
  transform: scale(2);
}

.slide .slide-buttom:hover {
  transform: scale(2.2);
  filter: brightness(0.5);
}

.slide .slide-buttom img::selection {
  background: none;
}

